# Package play.data.parsing

Class Summary
ApacheMultipartParser: From Apache commons fileupload.
ApacheMultipartParser.AutoFileItem
DataParser: A data parser parse the HTTP request data to a Map<String,String[]>
DataParsers
MultipartStream: Low level API for processing file uploads.
TempFilePlugin: Creates temporary folders for file parsing, and deletes it after request completion.
TextParser
UrlEncodedParser: Parse url-encoded requests.

Exception Summary
ApacheMultipartParser.SizeException: This exception is thrown, if a requests permitted size is exceeded.
MultipartStream.IllegalBoundaryException: Thrown upon attempt of setting an invalid boundary token.
MultipartStream.MalformedStreamException: Thrown to indicate that the input stream fails to follow the required syntax.